Skip site navigation (1)Skip section navigation (2)
Date:      Mon, 16 Nov 2020 12:28:05 +0000 (UTC)
From:      Jan Beich <jbeich@FreeBSD.org>
To:        ports-committers@freebsd.org, svn-ports-all@freebsd.org, svn-ports-head@freebsd.org
Subject:   svn commit: r555471 - in head/x11: . wayland-logout wayland-logout/files
Message-ID:  <202011161228.0AGCS5qr021894@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: jbeich
Date: Mon Nov 16 12:28:05 2020
New Revision: 555471
URL: https://svnweb.freebsd.org/changeset/ports/555471

Log:
  x11/wayland-logout: add new port
  
  wayland-logout is a simple program that sends SIGINT to a wayland
  compositor by looking up the pid for the wayland socket file. The path
  to the socket file is derived from WAYLAND_DISPLAY and XDG_RUNTIME_DIR
  environment variables.
  
  https://github.com/soreau/wayland-logout

Added:
  head/x11/wayland-logout/
  head/x11/wayland-logout/Makefile   (contents, props changed)
  head/x11/wayland-logout/distinfo   (contents, props changed)
  head/x11/wayland-logout/files/
  head/x11/wayland-logout/files/patch-wayland-logout.sh   (contents, props changed)
  head/x11/wayland-logout/pkg-descr   (contents, props changed)
Modified:
  head/x11/Makefile   (contents, props changed)

Modified: head/x11/Makefile
==============================================================================
--- head/x11/Makefile	Mon Nov 16 12:27:58 2020	(r555470)
+++ head/x11/Makefile	Mon Nov 16 12:28:05 2020	(r555471)
@@ -339,6 +339,7 @@
     SUBDIR += virtualgl
     SUBDIR += wallutils
     SUBDIR += waybar
+    SUBDIR += wayland-logout
     SUBDIR += wbar
     SUBDIR += wcm
     SUBDIR += wdisplays

Added: head/x11/wayland-logout/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11/wayland-logout/Makefile	Mon Nov 16 12:28:05 2020	(r555471)
@@ -0,0 +1,23 @@
+# $FreeBSD$
+
+PORTNAME=	wayland-logout
+DISTVERSIONPREFIX=	v
+DISTVERSION=	1.0
+CATEGORIES=	x11
+
+MAINTAINER=	jbeich@FreeBSD.org
+COMMENT=	Simple logout on Wayland
+
+LICENSE=	MIT
+
+USE_GITHUB=	yes
+GH_ACCOUNT=	soreau
+NO_ARCH=	yes
+NO_BUILD=	yes
+PLIST_FILES=	bin/${PORTNAME}
+
+do-install:
+	${INSTALL_SCRIPT} ${WRKSRC}/${PORTNAME}.sh \
+		${STAGEDIR}${PREFIX}/bin/${PORTNAME}
+
+.include <bsd.port.mk>

Added: head/x11/wayland-logout/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11/wayland-logout/distinfo	Mon Nov 16 12:28:05 2020	(r555471)
@@ -0,0 +1,3 @@
+TIMESTAMP = 1599853712
+SHA256 (soreau-wayland-logout-v1.0_GH0.tar.gz) = 445eb9a978481871dbc51ea0e9cde57ca9f778eda55ecd8a5aac205a71e7f0e6
+SIZE (soreau-wayland-logout-v1.0_GH0.tar.gz) = 16663

Added: head/x11/wayland-logout/files/patch-wayland-logout.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11/wayland-logout/files/patch-wayland-logout.sh	Mon Nov 16 12:28:05 2020	(r555471)
@@ -0,0 +1,21 @@
+lsof is slow and not supported on DragonFly
+
+--- wayland-logout.sh.orig	2020-09-11 19:48:32 UTC
++++ wayland-logout.sh
+@@ -1,7 +1,5 @@
+ #!/bin/sh
+ 
+-# REQUIREMENTS - lsof (not always present)
+-
+ if [ -z "${WAYLAND_DISPLAY}" ]; then
+ 	printf '%s\n' 'Error: WAYLAND_DISPLAY not set'
+ 	exit 1
+@@ -21,7 +19,7 @@ case "${WAYLAND_DISPLAY}" in
+ 		;;
+ esac
+ 
+-WAYLAND_PIDS="$(lsof -t -f -- ${SOCKET_PATH})"
++WAYLAND_PIDS="$(sockstat -lu | awk "\$6 == \"${SOCKET_PATH}\" { print \$3 }" | uniq)"
+ set -- $WAYLAND_PIDS
+ if [ $# -gt 1 ]; then
+ 	printf '%s\n' 'Error: More than one process has been bound to the socket'

Added: head/x11/wayland-logout/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11/wayland-logout/pkg-descr	Mon Nov 16 12:28:05 2020	(r555471)
@@ -0,0 +1,6 @@
+wayland-logout is a simple program that sends SIGINT to a wayland
+compositor by looking up the pid for the wayland socket file. The path
+to the socket file is derived from WAYLAND_DISPLAY and XDG_RUNTIME_DIR
+environment variables.
+
+WWW: https://github.com/soreau/wayland-logout



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?202011161228.0AGCS5qr021894>